function[axes_pos]=calc_axes(axes_vec);

%	calc_axes.m

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.     



size_axes_vec=size(axes_vec);
axes_vec=axes_vec./(sum(axes_vec));
axes_pos=zeros(size_axes_vec(2),4);
abst_x=1/15;
abst_y=1/20;
axes_pos_4=0;
axes_pos_2=0;

for i=1:size_axes_vec(2);
	axes_vec_2=axes_vec(i);
	axes_pos(i,1)=abst_x;
	axes_pos_2=axes_pos_2+axes_pos_4+abst_y;
	axes_pos(i,2)=axes_pos_2;
	axes_pos(i,3)=1-2*abst_x;
	axes_pos_4=(1-(size_axes_vec(2)+1)*abst_y)*axes_vec(i);
	axes_pos(i,4)=axes_pos_4;
end

return;
